function [ MSE ] = checkTransform( whole, parts )
 %%CHECKTRANSFORM Compares coefficients from segments with coefficients
 %%from whole signal
%   [ MSE ] = checkTransform( whole, parts ) 
%


%   Author(s): Z. Prusa
%   $Revision: 1.0 $  $Date: 2011/05/02$ 


[subbands,N] = size(whole);
[I,partNo] = size(parts);



MSE = 0;
temp = cell(1,partNo);
for s = 1:subbands
    for i = 1:partNo
        temp{1,i} = parts{s,i};
    end
     concat = cell2mat(temp);
     
     wholeMat = whole{s};
     
     MSE = MSE + sum(abs(wholeMat - concat));
 
end

